Package org.eclipse.net4j.util.collection

## Class IndexedList<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.IndexedList<E>

- All Implemented Interfaces:
    `java.lang.Iterable<E>`, `java.util.Collection<E>`, `java.util.List<E>`
  Direct Known Subclasses:
    `IndexedList.ArrayBacked`

      public abstract class IndexedList<E>
      extends java.lang.Object
      implements java.util.List<E>

  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `IndexedList.ArrayBacked<E>` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IndexedList()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(int index, E element)` |
    `boolean` | `add​(E o)` |
    `boolean` | `addAll​(int index, java.util.Collection<? extends E> c)` |
    `boolean` | `addAll​(java.util.Collection<? extends E> c)` |
    `void` | `clear()` |
    `boolean` | `contains​(java.lang.Object o)` |
    `boolean` | `containsAll​(java.util.Collection<?> c)` |
    `abstract E` | `get​(int index)` |
    `int` | `indexOf​(java.lang.Object o)` |
    `boolean` | `isEmpty()` |
    `java.util.Iterator<E>` | `iterator()` |
    `int` | `lastIndexOf​(java.lang.Object o)` |
    `java.util.ListIterator<E>` | `listIterator()` |
    `java.util.ListIterator<E>` | `listIterator​(int index)` |
    `E` | `remove​(int index)` |
    `boolean` | `remove​(java.lang.Object o)` |
    `boolean` | `removeAll​(java.util.Collection<?> c)` |
    `boolean` | `retainAll​(java.util.Collection<?> c)` |
    `E` | `set​(int index, E element)` |
    `abstract int` | `size()` |
    `java.util.List<E>` | `subList​(int fromIndex, int toIndex)` |
    `java.lang.Object[]` | `toArray()` |
    `<T> T[]` | `toArray​(T[] a)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `equals, hashCode, replaceAll, sort, spliterator`

- - ### Constructor Detail

    - #### IndexedList

          public IndexedList()

  - ### Method Detail

    - #### get

          public abstract E get​(int index)

      Specified by:
        `get` in interface `java.util.List<E>`

    - #### size

          public abstract int size()

      Specified by:
        `size` in interface `java.util.Collection<E>`
      Specified by:
        `size` in interface `java.util.List<E>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Collection<E>`
      Specified by:
        `isEmpty` in interface `java.util.List<E>`

    - #### contains

          public boolean contains​(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<E>`
      Specified by:
        `contains` in interface `java.util.List<E>`

    - #### containsAll

          public boolean containsAll​(java.util.Collection<?> c)

      Specified by:
        `containsAll` in interface `java.util.Collection<E>`
      Specified by:
        `containsAll` in interface `java.util.List<E>`

    - #### indexOf

          public int indexOf​(java.lang.Object o)

      Specified by:
        `indexOf` in interface `java.util.List<E>`

    - #### lastIndexOf

          public int lastIndexOf​(java.lang.Object o)

      Specified by:
        `lastIndexOf` in interface `java.util.List<E>`

    - #### iterator

          public java.util.Iterator<E> iterator()

      Specified by:
        `iterator` in interface `java.util.Collection<E>`
      Specified by:
        `iterator` in interface `java.lang.Iterable<E>`
      Specified by:
        `iterator` in interface `java.util.List<E>`

    - #### listIterator

          public java.util.ListIterator<E> listIterator()

      Specified by:
        `listIterator` in interface `java.util.List<E>`

    - #### listIterator

          public java.util.ListIterator<E> listIterator​(int index)

      Specified by:
        `listIterator` in interface `java.util.List<E>`

    - #### subList

          public java.util.List<E> subList​(int fromIndex,
                                           int toIndex)

      Specified by:
        `subList` in interface `java.util.List<E>`

    - #### toArray

          public java.lang.Object[] toArray()

      Specified by:
        `toArray` in interface `java.util.Collection<E>`
      Specified by:
        `toArray` in interface `java.util.List<E>`

    - #### toArray

          public <T> T[] toArray​(T[] a)

      Specified by:
        `toArray` in interface `java.util.Collection<E>`
      Specified by:
        `toArray` in interface `java.util.List<E>`

    - #### add

          public boolean add​(E o)

      Specified by:
        `add` in interface `java.util.Collection<E>`
      Specified by:
        `add` in interface `java.util.List<E>`

    - #### remove

          public boolean remove​(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<E>`
      Specified by:
        `remove` in interface `java.util.List<E>`

    - #### addAll

          public boolean addAll​(java.util.Collection<? extends E> c)

      Specified by:
        `addAll` in interface `java.util.Collection<E>`
      Specified by:
        `addAll` in interface `java.util.List<E>`

    - #### addAll

          public boolean addAll​(int index,
                                java.util.Collection<? extends E> c)

      Specified by:
        `addAll` in interface `java.util.List<E>`

    - #### removeAll

          public boolean removeAll​(java.util.Collection<?> c)

      Specified by:
        `removeAll` in interface `java.util.Collection<E>`
      Specified by:
        `removeAll` in interface `java.util.List<E>`

    - #### retainAll

          public boolean retainAll​(java.util.Collection<?> c)

      Specified by:
        `retainAll` in interface `java.util.Collection<E>`
      Specified by:
        `retainAll` in interface `java.util.List<E>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection<E>`
      Specified by:
        `clear` in interface `java.util.List<E>`

    - #### set

          public E set​(int index,
                       E element)

      Specified by:
        `set` in interface `java.util.List<E>`

    - #### add

          public void add​(int index,
                          E element)

      Specified by:
        `add` in interface `java.util.List<E>`

    - #### remove

          public E remove​(int index)

      Specified by:
        `remove` in interface `java.util.List<E>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`